# -*- coding: utf-8 -*-
from setuphelpers import *
import subprocess

# to activate smb1 use this command in powershell
# Enable-WindowsOptionalFeature -Online -FeatureName SMB1Protocol


def install():
    try:
        # check smb1 status
        result = subprocess.run(['powershell', 'Get-WindowsOptionalFeature -Online -FeatureName SMB1Protocol | findstr "State"'], capture_output=True,text=True, check=True)
        output = result.stdout.strip().split(": ")[1]

        if "disabled" in output.lower():
            print("SMB1 is already disabled")
        else:
            run_powershell(['powershell', 'Disable-WindowsOptionalFeature -Online -FeatureName SMB1Protocol'], check=True)
            print("SMB1 has been disabled ")
    except subprocess.CalledProcessError:
        print("unexpected error") 

